# Uses of Interface
ml.options.Constraint

## Uses of Constraint in ml.options

Subinterfaces of Constraint in ml.options
Modifier and Type
Interface
Description
`interface`
`XMLConstraint`
Constraints implementing this interface have - beyond the `Constraint` interface - the capability to be created through XML configuration files.
Classes in ml.options that implement Constraint
Modifier and Type
Class
Description
`class`
`ExclusiveConstraint`
A constraint combining one or more options such that just one of them can occur.
`class`
`ValueConstraint`
A constraint for options taking a value.
Methods in ml.options that return types with arguments of type Constraint
Modifier and Type
Method
Description
`List<Constraint>`
Constrainable.`getConstraints()`
Access all known constraints
`List<Constraint>`
OptionData.`getConstraints()`
Get the constraints defined for this option
`List<Constraint>`
OptionSet.`getConstraints()`
Get the constraints defined for this option set
Methods in ml.options with parameters of type Constraint
Modifier and Type
Method
Description
`void`
Constrainable.`addConstraint(Constraint constraint)`
Add a constraint to this instance.
`void`
OptionData.`addConstraint(Constraint constraint)`
Add a constraint for this option
`void`
OptionSet.`addConstraint(Constraint constraint)`
Add a constraint for this option set